name: Publish

on:
  push:
    tags:
      - '*'

jobs:
  build:
    name: Publish binaries
    runs-on: ubuntu-latest

    steps:
      - uses: actions/checkout@v3
      - name: List Files
        id: list-files
        uses: mirko-felice/list-files-action@v3.0.5
        with:
          repo: ${{ github.repository }}
          ref: ${{ github.ref }}
          path: "."
      - name: Upload fseq to release
        uses: svenstaro/upload-release-action@v2
        with:
          repo_token: ${{ secrets.GITHUB_TOKEN }}
          file: White-light.fseq
          asset_name: White-light.fseq
          tag: ${{ github.ref }}
          overwrite: true
      - name: Upload wav to release
        uses: svenstaro/upload-release-action@v2
        with:
          repo_token: ${{ secrets.GITHUB_TOKEN }}
          file: White-light.wav
          asset_name: White-light.wav
          tag: ${{ github.ref }}
          overwrite: true